⚙️Checkout flow
Prerequisites
Your business account with Inqud is set up, complete with API tokens configured.
The On-Ramp Project has been established and configured within the Inqud platform.
The On-Ramp Project is active.
Workflow

Checkout status transition

Integration
1. Create checkout through Inqud API
Create On-Ramp Checkout API Reference
Request Example:
POST https://api.inqud.com/v1/user/on-ramp/{onRampProjectId}/checkouts
X-Token-API-Id
{tokenApiId}
X-Token-API-Secret
{tokenApiSecret}
Request Body Example:
Response Example:
Request Example:
POST https://api.inqud.com/v1/user/on-ramp/{onRampProjectId}/checkouts
X-Token-API-Id
{tokenApiId}
X-Token-API-Secret
{tokenApiSecret}
Request Body Example:
Response Example:
2. Receive a webhook when a checkout changes status
As checkout changes its statuses, webhook are being sent if configured.
Webhook body contains same model as POST /checkouts response.
Proceed to Web Hooks section for extra information and examples
Last updated
Was this helpful?